# Hányadik hét van?

Kisházi

# Feladat

Egy olyan alkalmazás készítése, ami képes megpondani, hányadik egész hét telt el egy adott nap óta. Az alkalmazásban megfogalmazhatók időszakok, amik közül egy az alapértelmezett, valamint ezen időszakokban lehetséges szünet definiálása is.

# Kisháziban elérhető funkciók

- Időszak létrehozása
- Időszak módosítása
- Időszakok lekérdezése
- Időszakok törlése
- Alapértelmezett időszak aktuális hetének számának lekérdezése
- Adott időszak aktuális hetének számának lekérdezése
- Szünet létrehozása időszakban
- Szünet módosítása időszakban
- Szünet törlése időszakban
- Felhasználó létrehozása
- Felhasználó módosítása
- Felhasználó törlése

# Adatbázis entitások

- Időszak
- Szünet
- Felhasználó

## Alkalmazott alaptechnológiák

- adatelérés: Entity Framework Core v5
- kommunikáció, szerveroldal: ASP.NET Core v5
- kliensoldal: Postman

# Továbbfejlesztési tervek

- Telepítés Kubernetesbe (és ez által publikusan elérhetővé tétel)
- OpenAPI dokumentáció készítése
- Platformfüggetlen kódbázis használata
- OCI Image CI által buildelése